NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::MeshFromBoundaryBuilder Class Reference

Represents a NXOpen::CAE::MeshFromBoundaryBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateMeshFromBoundaryBuilder

Created in NX9.0.0. More...

Inheritance diagram for NXOpen::CAE::MeshFromBoundaryBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  LoopOption { LoopOptionSourceTarget, LoopOptionClosedLoop }
 Type of loop. More...
 
enum  RailOption { RailOptionUniform, RailOptionTransition }
 Type of rail. More...
 

Public Member Functions

NXOpen::SelectTaggedObjectListClosedLoopSelection ()
 Returns the selected element edges
Created in NX11.0.0. More...
 
NXString CollectorName ()
 Returns the mesh collector name
Created in NX9.0.0. More...
 
NXOpen::CAE::ElementTypeBuilderElementType ()
 Returns the element type
Created in NX9.0.0. More...
 
int Layers ()
 Returns the layers
Created in NX9.0.0. More...
 
NXOpen::CAE::MeshFromBoundaryBuilder::LoopOption LoopType ()
 Returns the type of loop
Created in NX9.0.0. More...
 
int NumElementsOnRail1 ()
 Returns the number of elements along rail1
Created in NX9.0.0. More...
 
int NumElementsOnRail2 ()
 Returns the number of elements along rail2
Created in NX9.0.0. More...
 
NXOpen::CAE::MeshFromBoundaryBuilder::RailOption RailType ()
 Returns the type of rail mesh
Created in NX9.0.0. More...
 
void SetCollectorName (const NXString &collectorName)
 Sets the mesh collector name
Created in NX9.0.0. More...
 
void SetCollectorName (const char *collectorName)
 Sets the mesh collector name
Created in NX9.0.0. More...
 
void SetLayers (int layers)
 Sets the layers
Created in NX9.0.0. More...
 
void SetLoopType (NXOpen::CAE::MeshFromBoundaryBuilder::LoopOption loopoption)
 Sets the type of loop
Created in NX9.0.0. More...
 
void SetNumElementsOnRail1 (int layers)
 Sets the number of elements along rail1
Created in NX9.0.0. More...
 
void SetNumElementsOnRail2 (int layers)
 Sets the number of elements along rail2
Created in NX9.0.0. More...
 
void SetRailType (NXOpen::CAE::MeshFromBoundaryBuilder::RailOption option)
 Sets the type of rail mesh
Created in NX9.0.0. More...
 
void SetSourceElementEdgePathMethod (NXOpen::CAE::ElemEdgePathMethod *sourceElementEdgePathMethod)
 Set the source element path of the selection
Created in NX9.0.0. More...
 
void SetTargetElementEdgePathMethod (NXOpen::CAE::ElemEdgePathMethod *targetElementEdgePathMethod)
 Set the target elemnt path of the selection
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::MeshFromBoundaryBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateMeshFromBoundaryBuilder

Created in NX9.0.0.


Member Enumeration Documentation

Type of loop.

Enumerator
LoopOptionSourceTarget 

source target

LoopOptionClosedLoop 

closed loop

Type of rail.

Enumerator
RailOptionUniform 

single layer

RailOptionTransition 

transitioned layer

Member Function Documentation

NXOpen::SelectTaggedObjectList* NXOpen::CAE::MeshFromBoundaryBuilder::ClosedLoopSelection ( )

Returns the selected element edges
Created in NX11.0.0.



License requirements : None

NXString NXOpen::CAE::MeshFromBoundaryBuilder::CollectorName ( )

Returns the mesh collector name
Created in NX9.0.0.



License requirements : None

NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::MeshFromBoundaryBuilder::ElementType ( )

Returns the element type
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

int NXOpen::CAE::MeshFromBoundaryBuilder::Layers ( )

Returns the layers
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::MeshFromBoundaryBuilder::LoopOption NXOpen::CAE::MeshFromBoundaryBuilder::LoopType ( )

Returns the type of loop
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

int NXOpen::CAE::MeshFromBoundaryBuilder::NumElementsOnRail1 ( )

Returns the number of elements along rail1
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

int NXOpen::CAE::MeshFromBoundaryBuilder::NumElementsOnRail2 ( )

Returns the number of elements along rail2
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::MeshFromBoundaryBuilder::RailOption NXOpen::CAE::MeshFromBoundaryBuilder::RailType ( )

Returns the type of rail mesh
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

void NXOpen::CAE::MeshFromBoundaryBuilder::SetCollectorName ( const NXString collectorName)

Sets the mesh collector name
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
collectorNamecollectorname
void NXOpen::CAE::MeshFromBoundaryBuilder::SetCollectorName ( const char *  collectorName)

Sets the mesh collector name
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
collectorNamecollectorname
void NXOpen::CAE::MeshFromBoundaryBuilder::SetLayers ( int  layers)

Sets the layers
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
layerslayers
void NXOpen::CAE::MeshFromBoundaryBuilder::SetLoopType ( NXOpen::CAE::MeshFromBoundaryBuilder::LoopOption  loopoption)

Sets the type of loop
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
loopoptionloopoption
void NXOpen::CAE::MeshFromBoundaryBuilder::SetNumElementsOnRail1 ( int  layers)

Sets the number of elements along rail1
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
layerslayers
void NXOpen::CAE::MeshFromBoundaryBuilder::SetNumElementsOnRail2 ( int  layers)

Sets the number of elements along rail2
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
layerslayers
void NXOpen::CAE::MeshFromBoundaryBuilder::SetRailType ( NXOpen::CAE::MeshFromBoundaryBuilder::RailOption  option)

Sets the type of rail mesh
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
optionoption
void NXOpen::CAE::MeshFromBoundaryBuilder::SetSourceElementEdgePathMethod ( NXOpen::CAE::ElemEdgePathMethod sourceElementEdgePathMethod)

Set the source element path of the selection
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
sourceElementEdgePathMethodsourceelementedgepathmethod
void NXOpen::CAE::MeshFromBoundaryBuilder::SetTargetElementEdgePathMethod ( NXOpen::CAE::ElemEdgePathMethod targetElementEdgePathMethod)

Set the target elemnt path of the selection
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
targetElementEdgePathMethodtargetelementedgepathmethod

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.